package com.lukouguoji.gnc.page.fubang.details

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.lukouguoji.gnc.R
import com.lukouguoji.gnc.databinding.ActivityGncFuBangDetailsBinding
import com.lukouguoji.gnc.databinding.ActivityGncShouYunDetailsBinding
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.lukouguoji.module_base.common.Constant

class GncFuBangDetailsActivity :
    BaseBindingActivity<ActivityGncFuBangDetailsBinding, GncFuBangDetailsViewModel>() {

    override fun layoutId() = R.layout.activity_gnc_fu_bang_details

    override fun viewModelClass() = GncFuBangDetailsViewModel::class.java

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("国内出港开始复磅")
        viewModel.initOnCreated(requireActivity(),intent)
        binding.viewModel = viewModel
    }

    companion object {
        @JvmStatic
        fun start(context: Context, car: String) {
            val starter = Intent(context, GncFuBangDetailsActivity::class.java)
                .putExtra(Constant.Key.FLATCAR, car)
            context.startActivity(starter)
        }
    }

}